This page was not yet optimized for use on mobile devices.
Ubuntu 20.04 Libgcrypt Cryptographic Module
Certificate details
| Certificate ID | #3902 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 20.04.2021 , 18.10.2021 , 11.04.2022 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode and installed, initialized and configured as specified in Section 9.1 of the Security Policy. The module generates cryptographic keys whose strengths are modified by available entropy |
| Exceptions |
|
| Description | The libgcrypt library implementation providing cryptographic services to Linux user space software components in general and to GnuPG in particular. |
| Tested configurations |
|
| Vendor | Canonical Ltd. http://www.canonical.com |
| Lab | atsec information security corporation |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-256, AES-128, Twofish, Serpent, CAST5, RC2, DES, Triple-DES, TDEA, ChaCha20, Salsa20, Salsa20/12, IDEA, Blowfish, Camellia, SEED, HMAC, HMAC-SHA-224, HMAC-SHA-384, HMAC-SHA-256, CMACAsymmetric Algorithms
ECDSA, ECC, DSAHash functions
SHA-1, SHA1, SHA-224, SHA-384, SHA-512, SHA-256, SHA3-224, SHA3-256, SHA3-384, SHA3-512, SHA-3, MD4, MD5, RIPEMD, PBKDF, PBKDF2Schemes
MAC, Key AgreementProtocols
TLS, DTLSRandomness
PRNG, DRBG, RNGLibraries
libgcryptElliptic Curves
P-224, P-256, P-384, P-521Block cipher modes
ECB, CBC, CTR, CFB, OFB, GCM, CCM, XTSSecurity level
Level 1, level 1Side-channel analysis
Timing Attacks, timing attacksAutomated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3902,
"dgst": "80082211411078ac",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"AES#A544",
"RSA#A540",
"HMAC#A1867",
"ECDSA#A544",
"DRBG#A540",
"DRBG#A541",
"Triple-DES#A541",
"AES#A1867",
"DSA#A1867",
"ECDSA#A541",
"ECDSA#A1867",
"ECDSA#A543",
"SHS#A545",
"DSA#A543",
"DRBG#A542",
"#A543",
"AES#A541",
"KTS#A540",
"RSA#A544",
"DRBG#A543",
"DSA#A544",
"SHS#A540",
"AES#A540",
"ECDSA#A540",
"DSA#A542",
"SHA-3#A540",
"KTS#A544",
"RSA#A541",
"RSA#A1867",
"#A1867",
"KTS#A543",
"SHA-3#A1867",
"#A541",
"SHS#A1867",
"ECDSA#A542",
"KTS#A541",
"#A544",
"DSA#A540",
"HMAC#A543",
"SHA-3#A541",
"#A542",
"HMAC#A541",
"RSA#A543",
"SHS#A541",
"Triple-DES#A1867",
"AES#A543",
"KTS#A1867",
"SHA-3#A542",
"SHS#A543",
"DRBG#A1867",
"DRBG#A544",
"#A545",
"HMAC#A544",
"HMAC#A545",
"#A540",
"DSA#A541",
"SHS#A544",
"RSA#A542",
"HMAC#A540"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"20.04"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 42,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 3
},
"ECDSA": {
"ECDSA": 22
}
},
"FF": {
"DSA": {
"DSA": 21
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 7
},
"CCM": {
"CCM": 6
},
"CFB": {
"CFB": 3
},
"CTR": {
"CTR": 7
},
"ECB": {
"ECB": 10
},
"GCM": {
"GCM": 3
},
"OFB": {
"OFB": 5
},
"XTS": {
"XTS": 7
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"libgcrypt": {
"libgcrypt": 8
}
},
"crypto_protocol": {
"TLS": {
"DTLS": {
"DTLS": 1
},
"TLS": {
"TLS": 13
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 1
},
"MAC": {
"MAC": 8
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-224": 12,
"P-256": 14,
"P-384": 12,
"P-521": 12
}
},
"eval_facility": {
"atsec": {
"atsec": 45
}
},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"AES CMAC 128": 2,
"AES-128": 2,
"AES-128/192/256": 2,
"AES-256": 1,
"HMAC SHA-1": 3,
"HMAC-SHA-1": 4,
"HMAC-SHA-256": 8,
"HMAC-SHA-512": 4,
"HMAC-SHA256": 2,
"PKCS#1": 6,
"SHA- 256": 1,
"SHA- 512": 2,
"SHA-1": 15,
"SHA-224": 22,
"SHA-256": 21,
"SHA-3": 3,
"SHA-384": 8,
"SHA-512": 4,
"SHA-512 112": 3,
"SHA-512 2048": 1,
"SHA1": 1,
"SHA3-224": 4,
"SHA3-256": 4,
"SHA3-384": 4,
"SHA3-512": 4
}
},
"fips_security_level": {
"Level": {
"Level 1": 2,
"level 1": 2
}
},
"hash_function": {
"MD": {
"MD4": {
"MD4": 2
},
"MD5": {
"MD5": 2
}
},
"PBKDF": {
"PBKDF": 10,
"PBKDF2": 1
},
"RIPEMD": {
"RIPEMD": 2
},
"SHA": {
"SHA1": {
"SHA-1": 15,
"SHA1": 1
},
"SHA2": {
"SHA-224": 27,
"SHA-256": 16,
"SHA-384": 13,
"SHA-512": 3
},
"SHA3": {
"SHA-3": 3,
"SHA3-224": 4,
"SHA3-256": 4,
"SHA3-384": 4,
"SHA3-512": 4
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 33,
"PRNG": 1
},
"RNG": {
"RNG": 1
}
},
"side_channel_analysis": {
"SCA": {
"Timing Attacks": 2,
"timing attacks": 1
}
},
"standard_id": {
"FIPS": {
"FIPS 140-2": 54,
"FIPS 186-4": 3,
"FIPS PUB 140-2": 2,
"FIPS140-2": 1,
"FIPS180-4": 5,
"FIPS186-4": 25,
"FIPS197": 3,
"FIPS198-1": 6,
"FIPS202": 3
},
"NIST": {
"SP 800-132": 5,
"SP 800-57": 1
},
"PKCS": {
"PKCS#1": 3
},
"RFC": {
"RFC 4880": 2,
"RFC2246": 1,
"RFC3268": 1,
"RFC4279": 1,
"RFC4346": 1,
"RFC4492": 1,
"RFC5116": 1,
"RFC5246": 1,
"RFC5288": 1,
"RFC5487": 1,
"RFC5489": 1,
"RFC6655": 1,
"RFC7251": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 38,
"AES-128": 2,
"AES-256": 1
},
"CAST": {
"CAST5": 2
},
"RC": {
"RC2": 2
},
"Serpent": {
"Serpent": 2
},
"Twofish": {
"Twofish": 2
}
},
"DES": {
"3DES": {
"TDEA": 1,
"Triple-DES": 23
},
"DES": {
"DES": 10
}
},
"constructions": {
"MAC": {
"CMAC": 11,
"HMAC": 20,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 2,
"HMAC-SHA-384": 2
}
},
"djb": {
"ChaCha": {
"ChaCha20": 2
},
"Salsa": {
"Salsa20": 2,
"Salsa20/12": 2
}
},
"miscellaneous": {
"Blowfish": {
"Blowfish": 2
},
"Camellia": {
"Camellia": 2
},
"IDEA": {
"IDEA": 2
},
"SEED": {
"SEED": 2
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"AES#A544",
"RSA#A540",
"HMAC#A1867",
"ECDSA#A544",
"DRBG#A540",
"DRBG#A541",
"Triple-DES#A541",
"AES#A1867",
"DSA#A1867",
"ECDSA#A541",
"ECDSA#A1867",
"ECDSA#A543",
"SHS#A545",
"DSA#A543",
"DRBG#A542",
"AES#A541",
"KTS#A540",
"RSA#A544",
"DRBG#A543",
"DSA#A544",
"SHS#A540",
"AES#A540",
"ECDSA#A540",
"DSA#A542",
"SHA-3#A540",
"KTS#A544",
"RSA#A541",
"RSA#A1867",
"KTS#A543",
"SHA-3#A1867",
"SHS#A1867",
"ECDSA#A542",
"KTS#A541",
"DSA#A540",
"HMAC#A543",
"SHA-3#A541",
"HMAC#A541",
"RSA#A543",
"SHS#A541",
"Triple-DES#A1867",
"AES#A543",
"KTS#A1867",
"SHA-3#A542",
"SHS#A543",
"DRBG#A1867",
"DRBG#A544",
"HMAC#A544",
"HMAC#A545",
"DSA#A541",
"SHS#A544",
"RSA#A542",
"HMAC#A540"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A543",
"#A544",
"#A542",
"#A540",
"#A1867",
"#A541",
"#A545"
]
},
"policy_metadata": {
"/CreationDate": "D:20210826212014Z00\u002700\u0027",
"/Creator": "Word",
"/ModDate": "D:20210826212014Z00\u002700\u0027",
"/Producer": "macOS Version 10.15.7 (Build 19H15) Quartz PDFContext",
"/Title": "Microsoft Word - Ubuntu-Libgcrypt-SecurityPolicy.doc",
"pdf_file_size_bytes": 657736,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 43
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "f81f23f47484950a5be46e51c93ed82975729e0df5d6db40bf56ad25ebc6a57e",
"source_hash": "9a26643ed0f551e3c1d948f7bf3fea75f64710500c62fb317c3271423e7b44f6",
"txt_hash": "b25227e25b71e31cb33fe0acfa97966bcd1b816762800952e40be49eaf2f3ee3"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode and installed, initialized and configured as specified in Section 9.1 of the Security Policy. The module generates cryptographic keys whose strengths are modified by available entropy",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/April 2021_030521_0757_signed.pdf",
"date_sunset": null,
"description": "The libgcrypt library implementation providing cryptographic services to Linux user space software components in general and to GnuPG in particular.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A"
],
"fw_versions": null,
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "Ubuntu 20.04 Libgcrypt Cryptographic Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "3.0",
"tested_conf": [
"Ubuntu 20.04 LTS 64-bit running on IBM z15(TM) with z15(TM) without PAI [2] (single-user mode)",
"Ubuntu 20.04 LTS 64-bit running on Supermicro SYS-1019P-WTR with Intel Xeon(R) Gold Skylake without PAA [1][2]",
"Ubuntu 20.04 LTS 64-bit running on Supermicro SYS-1019P-WTR with Intel(R) Xeon(R) Gold Skylake with PAA [1][2]"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-04-20",
"lab": "atsec information security corporation",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-10-18",
"lab": "atsec information security corporation",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2022-04-11",
"lab": "atsec information security corporation",
"validation_type": "Update"
}
],
"vendor": "Canonical Ltd.",
"vendor_url": "http://www.canonical.com"
}
}